<?php
/**
 * pragmaMx - Recipe Module
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.1 $
 * $Author: tora60 $
 * $Date: 2011/11/30 17:30:53 $
 */

defined('mxMainFileLoaded') or die('access denied');

/* --------- Konfiguration fuer den Block ----------------------------------- */

/* Modulname */
$modname = "recipes";

/* Block kann gecached werden? */
$mxblockcache = true;

/* --------- Ende der Konfiguration ----------------------------------------- */

extract($block['settings'], EXTR_OVERWRITE);

require_once (PMX_MODULES_DIR . DS . $modname . DS . 'includes' . DS . 'class.recipe.php');

if (!class_exists('pmxRecipe_Block_Summ', false)) {
    class pmxRecipe_Block_Summ extends pmxRecipe {
        private $settings;

        public function __construct($globals)
        {
            parent::__construct();

            $this->settings = $globals;
        }

        public function show()
        {
            extract($this->settings, EXTR_OVERWRITE);

            $qry = "SELECT COUNT(id)
                    FROM `$this->_dbtable_rec`
                    WHERE cid > 0
                      AND submittime <= NOW()";
            $result = sql_query($qry);

            list($count) = sql_fetch_row($result);

            if (!$count) {
                return '';
            }

            $content = sprintf(_REC_WEHAVECOUNT, $count);

            return $content;
        }
    }
}

$tmp = new pmxRecipe_Block_Summ(get_defined_vars());
$content = $tmp->show();
$tmp = null;

?>
