<?php
/**
 * pragmaMx - Web Content Management System
 * Pinwand Module
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.5 $
 * $Author: tora60 $
 * $Date: 2011/06/23 14:12:13 $
 */

defined('mxMainFileLoaded') or die('access denied');
$modname = basename(dirname(dirname(__FILE__)));

unset($sqlqry);
// $result = mysql_query("SELECT `photo`, `id` FROM `recipes_recipes` WHERE `photo`<>''");
// while (list($photo, $id) = mysql_fetch_row($result)) {

// echo '<img src="http://www.pewro.de/modules/Rezeptdatenbank/photos/' . $photo . '" /> ';

// }
// exit;
$new_rec = false;
if (!isset($tables["${prefix}_recipes"])) {
    $sqlqry[] = "
CREATE TABLE `${prefix}_recipes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `recipename` varchar(255) DEFAULT NULL,
  `description` text,
  `ingredients` text,
  `directions` text,
  `nutrition` text,
  `tipps` text,
  `cid` int(10) NOT NULL DEFAULT '0',
  `source` varchar(255) DEFAULT NULL,
  `preptime` smallint(5) DEFAULT NULL,
  `cooktime` smallint(5) DEFAULT NULL,
  `difficulty` varchar(40) DEFAULT NULL,
  `persons` tinyint(2) DEFAULT NULL,
  `contributer` varchar(40) DEFAULT NULL,
  `photo` varchar(255) DEFAULT NULL,
  `submittime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `cid` (`cid`),
  KEY `recipename` (`recipename`)
);";
    $new_rec = true;
}

$new_cat = false;
if (!isset($tables["${prefix}_recipes_categories"])) {
    $sqlqry[] = "
CREATE TABLE `${prefix}_recipes_categories` (
  `cid` int(10) NOT NULL AUTO_INCREMENT,
  `catname` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`cid`)
);";
    $new_cat = true;
}

if (isset($sqlqry)) {
    setupDoAllQueries($sqlqry);
    unset($sqlqry);
}

$cats = array();

if ($new_rec && isset($tables["recipes_recipes"])) {
    $result = mysql_query("SELECT DISTINCT `category` FROM `recipes_recipes` WHERE `category`<>''");
    while (list($cat) = mysql_fetch_row($result)) {
        $cat = ($cat) ? $cat : 'no title';
        $cats[$cat] = 0;
    }
}
if ($new_rec && isset($tables["recipes_categories"])) {
    $result = mysql_query("SELECT `id`, `category` FROM `recipes_categories` WHERE `category`<>''");
    while (list($id, $cat) = mysql_fetch_row($result)) {
        $cat = ($cat) ? $cat : 'no title';
        $cats[$cat] = 0;
    }
}
if (!$new_cat) {
    $result = mysql_query("SELECT `cid`, `catname` FROM `${prefix}_recipes_categories` WHERE `catname`<>''");
    while (list($id, $cat) = mysql_fetch_row($result)) {
        $cats[$cat] = $id;
    }
}
if (_DOC_LANGUAGE == 'de' && ($new_rec || $new_cat) && !$cats) {
    $tmpcats = array('Auflauf', 'Brot', 'Dressings und Saucen', 'Eintopfgerichte', 'Fischgerichte', 'Fleischgerichte', 'Frchte', 'Frhstck', 'Gemsegerichte', 'Getrnke', 'Kartoffelgerichte', 'Kuchen und Gebck', 'Mikrowellenrezepte', 'Pasta / Pastasaucen', 'Ses u. Desserts', 'Salate', 'Snacks', 'Suppen', 'Weihnachtsgebck');
    foreach ($tmpcats as $id => $cat) {
        $cats[$cat] = $id + 1;
    }
}

if (($new_rec || $new_cat) && $cats) {
    $qq = array();
    foreach ($cats as $cat => $id) {
        $qq[] = "(" . intval($id) . ", '" . addslashes($cat) . "')";
    }
    $sqlqry[] = "REPLACE INTO `${prefix}_recipes_categories` (`cid`, `catname`) VALUES " . implode(',', $qq) . ";";
}

if (isset($sqlqry)) {
    setupDoAllQueries($sqlqry);
    unset($sqlqry);
}

if ($new_rec && isset($tables["recipes_recipes"])) {
    /* Daten von evtl. alten Tabellen importieren */
    $sqlqry[] = "REPLACE INTO ${prefix}_recipes(`id`,`recipename`,`source`,`ingredients`,`directions`,`nutrition`,`tipps`,`preptime`,`cooktime`,`difficulty`,`contributer`,`photo`,`submittime`,`cid`)
                SELECT rec.id,rec.recipename,rec.source,rec.ingredients,rec.directions,rec.nutrition,rec.serves,rec.preptime,rec.cooktime,rec.difficulty,rec.contributer,rec.photo,rec.submittime,cat.cid
                FROM ( recipes_recipes AS rec
                LEFT JOIN `${prefix}_recipes_categories` AS cat ON rec.category = cat.catname )
                WHERE rec.recipename <> ''
                ORDER BY rec.id";

    if (isset($sqlqry)) {
        setupDoAllQueries($sqlqry);
        unset($sqlqry);
    }

    /* manche User hatten source zur Angabe der Personenzahl genutzt, hier konvertieren */
    $result = mysql_query("SELECT `source`, `id` FROM `recipes_recipes` WHERE `source`<>''");
    while (list($source, $id) = mysql_fetch_row($result)) {
        if (is_numeric($source)) {
            $sqlqry[] = "UPDATE `${prefix}_recipes` SET `persons`=" . intval($source) . ", `source`=''  WHERE `id`=" . intval($id);
        }
    }

    /* Kochzeiten in Minuten konvertieren */
    $result = mysql_query("SELECT `preptime`, `id` FROM `recipes_recipes` WHERE `preptime` LIKE '%Std%'");
    while (list($preptime, $id) = mysql_fetch_row($result)) {
        $sqlqry[] = "UPDATE `${prefix}_recipes` SET `preptime`=" . (intval($preptime) * 60) . "  WHERE `id`=" . intval($id);
    }
    $result = mysql_query("SELECT `cooktime`, `id` FROM `recipes_recipes` WHERE `cooktime` LIKE '%Std%'");
    while (list($cooktime, $id) = mysql_fetch_row($result)) {
        $sqlqry[] = "UPDATE `${prefix}_recipes` SET `cooktime`=" . (intval($cooktime) * 60) . "  WHERE `id`=" . intval($id);
    }

    /* difficulty konvertieren */
    $result = mysql_query("SELECT `difficulty`, `id` FROM `recipes_recipes` WHERE `difficulty` LIKE '%nicht%'");
    $ids = array();
    while (list($difficulty, $id) = mysql_fetch_row($result)) {
        $ids[] = $id;
    }
    if ($ids) {
        $sqlqry[] = "UPDATE `${prefix}_recipes` SET `difficulty`='schwer' WHERE `id` IN (" . implode(',', $ids) . ")";
    }

    if (isset($sqlqry)) {
        setupDoAllQueries($sqlqry);
        unset($sqlqry);
    }
}

$result = mysql_query("SELECT `mid` FROM `${prefix}_modules` WHERE `title`='" . $modname . "'");
list($mid) = mysql_fetch_row($result);
if (!$mid) {
    $sqlqry[] = "INSERT INTO `${prefix}_modules` (`title`, `custom_title`, `active`, `view`, `main_id`) VALUES ('" . $modname . "', '" . ucfirst($modname) . "', 0, 2,'')";
    setupDoAllQueries($sqlqry);
    unset($sqlqry);
}

// $sqlqry[] = "DROP TABLE IF EXISTS `${prefix}_recipes`;";
// $sqlqry[] = "DROP TABLE IF EXISTS `${prefix}_recipes_categories`;";
// if (isset($sqlqry)) {
// setupDoAllQueries($sqlqry);
// unset($sqlqry);
// }
// #exit;

?>