<?php
/**
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.2 $
 * $Author: tora60 $
 * $Date: 2011/10/09 21:30:36 $
 */

defined('mxMainFileLoaded') or die('access denied');

$modpath = dirname(dirname(__file__));
$module_name = basename($modpath);

switch (true) {
    /* Modul berhaupt aktiv ? */
    case !mxModuleActive($module_name):
    /* $userinfo ist von run_hook() definiert... */
    case empty($userinfo['uname']):
        return;
    case !isset($userconfig):
        /* Benutzerkonfiguration auslesen fr Punkteanzahl */
        /* mglich, dass $userconfig bereits in einem anderen Hookfile deklariert wurde */
        $userconfig = load_class('Userconfig');
        extract($userconfig->get_config());
}

global $prefix;
$result = sql_query("SELECT COUNT(id) FROM ${prefix}_recipes WHERE contributer='" . mxAddSlashesForSQL($userinfo['uname']) . "'");
list($points) = sql_fetch_row($result);

/* Punkte zu $hook_result dazu zhlen */
$hook_result += ($points * $upoints_entries);

?>
