<?php
/**
 * pragmaMx - Recipe Module
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.9 $
 * $Author: tora60 $
 * $Date: 2011/11/30 17:31:28 $
 *
 * this module based on: PHP-NUKE Recipe Module
 * Copyright (c) 2003 by Sean Pluard , http://heartstorm.org
 * modified by jubilee (http://www.marx-city.de) and kochloeffel
 */

defined('mxMainFileLoaded') or die('access denied');

define("_REC_RECIPES", "Recipes");
define("_REC_TITLE", "Recipe Collection");
define("_REC_CATEGORYBROWSE", "Category Browse");
define("_REC_NAMESEARCH", "Name Search");
define("_REC_INGREDIENTSEARCH", "Ingredient Search");
define("_REC_SUBMITARECIPE", "Submit a Recipe");
define("_REC_NOW", "now");
define("_REC_MESSAGETOSEND", "Message to send");
define("_REC_SELECTCATEGORY", "Select Category to Browse");
define("_REC_BROWSE", "Browse");
define("_REC_NAMESEARCHPROMPT", "Full or Partial Recipe Name to Search For");
define("_REC_LEAVINGBLANKMESSAGE", "Leaving the field empty will result in all recipes being shown!");
define("_REC_SEARCHHITS", "Searchresults");
define("_REC_SEARCHIT", "Search");
define("_REC_INGREDIENTSEARCHPROMPT", "Search For");
define("_REC_NEWRECIPEFORM", "New Recipe Form");
define("_REC_IPENAME", "Recipe Name");
define("_REC_CATEGORY", "Category");
define("_REC_TIPP", "Tip");
define("_REC_SOURCE", "Source");
define("_REC_PREPTIME", "Prep. Time");
define("_REC_COOKTIME", "Cook Time");
define("_REC_DIFFICULTY", "Difficulty");
define("_REC_INGREDIENTS", "Ingredients");
define("_REC_DIRECTIONS", "Directions");
define("_REC_NUTRITIONINFORMATION", "Nutrition Information");
define("_REC_SUBMITTHISRECIPE", "Submit This Recipe");
define("_REC_PREPCOOKTIME", "Prep/Cook Time");
define("_REZ_CONTRIBUTEDBY", "Contributed By");
define("_REC_PRINTERFRIENDLY", "Printer Friendly Version");
define("_REC_EMAILRECIPE", "Email This Recipe");
define("_REC_EDITRECIPE", "Edit This Recipe");
define("_REC_DELETERECIPE", "Delete This Recipe");
define("_REC_EMAILPROMPT", "Email address to send the recipe to:");
define("_REC_SENDIT", "Send It");
define("_REC_RECIPESENT", "Recipe Sent");
define("_REC_EDITRECIPEFORM", "Edit Recipe Form");
define("_REC_UPDATETHISRECIPE", "Update this Recipe");
define("_REC_AREYOUSURE1", "Are you sure you want to remove this recipe?");
define("_REC_AREYOUSURE2", "If you remove a recipe it will be permanently deleted, still sure?");
define("_REC_THERECIPE", "The recipe");
define("_REC_HASBEENADDED", "has been added.");
define("_REC_HASBEENADDEDNOT", "has NOT been added.");
define("_REC_HASBEENUPDATED", "has been updated!");
define("_REC_HASBEENDELETED", "has been deleted!");
define("_REC_ONR", "on");
define("_REC_MUSTNAME", "You must fill in the recipe name field.");
define("_REC_MUSTINGREDIENTS", "You must have some ingredients.");
define("_REC_MUSTDIRECTIONS", "You must specify the preparation instructions.");
define("_REC_NORECIPESFOUNDCATEGORY", "No recipes found in this category.");
define("_REC_NORECIPESFOUNDQUERY", "No recipes found using your query.");
define("_REC_NORECIPESFOUNDSTARTING", "No recipes found starting with");
define("_REC_NOCONTRIBDELETE", "You did not contribute this recipe, therefore you cannot Delete it. Please contact the site administrator if you need further assistance. Thank You.");
define("_REC_NOCONTRIBEDIT", "You did not contribute this recipe, therefore you cannot Edit it. Please contact the site administrator if you need further assistance. Thank You.");
define("_REC_STATEASY", "Easy");
define("_REC_STATMODERATE", "Moderate");
define("_REC_STATHARD", "Hard");
define("_REC_STATDIFFICULT", "Difficult");
define("_REC_ATTACHTHISPHOTO", "Attach this photo");
define("_REC_ATTACHTHISPHOTO2", "Maximum file size should be %sbyte or less and all images must be in JPG format.");
define("_REC_PHOTOEXCEEDED", "Photo file size was exceeded");
define("_REC_PHOTOWRONGTYPE", "All photos submitted must be in JPG format");
define("_REC_PHOTONOTATTACHED", "therefore the photo was not attached to the recipe.");
define("_REC_REMOVECURRENTPHOTO", "Remove current photo");
define("_REC_EDITCATEGORIES", "Categories");
define("_REC_ADDCATEGORY", "Add a category");
define("_REC_EDITCATEGORY", "Edit selected category");
define("_REC_DELETCATEGORY", "Delete selected category");
define("_REC_CATAREYOUSURE1", "Are you sure you want to remove this category?");
define("_REC_CATAREYOUSURE2", "If you remove a category it will be permanently deleted, still sure?");
define("_REC_SENDERROR", "An error arose:<br /><br /><b>The email(s) could not be sent.</b><br /><br />Please try again later.<br />If this error arises again, feel free to inform the <a href=\"mailto:" . $GLOBALS['adminmail'] . "\">webmaster</a>.");
define("_REC_ADDFIELD", "Add field");
define("_REC_SETUP_STEP1CAPTION", "Welcome to the setup of module recipe");
define("_REC_SETUP_STEP1DESC", "In the next step the required database tables are checked, updated, or created if necessary anew. Already available records are preserved and are converted if necessary.");
define("_REC_SETUP_STEP2CAPTION", "Setup of module recipe");
define("_REC_SETUP_STEP2DESC", "The database tables were checked, updated or created anew.");
define("_REC_SETUP_STEP2MSG1", "The following sql queries were executed");
define("_REC_SETUP_STEP2MSG2", "The database tables were already on the newest state.");
define("_REC_SETUP_STEP2MSG3", "Besides, following errors have occured");
define("_REC_SETUP_CONTINUE", "Continue");
define("_REC_ADMINLOGINERROR", "Sorry, you do not have the necessary rights to execute this file!<br />If you get here by following a link, please inform an administrator of this site!");
define("_REC_DESCRIPTION", "Description");
define("_REC_PERSONS", "persons");
define("_REC_PERSONSFOR", "for %d persons");
define("_REC_MINUTES", "minutes");
define("_REC_MINUTESSHORT", "min.");
define("_REC_HOURS", "hours");
define("_REC_HOURSSHORT", "h");
define("_REC_FORMATMINUTES_HM", '%1$d:%2$d hour'); // fr sprintf()
define("_REC_FORMATMINUTES_H", '%d hour'); // fr sprintf()
define("_REC_FORMATMINUTES_M", '%d min.'); // fr sprintf()
define("_REC_RECIPESSEARCHE", _REC_SEARCHIT . " / " . _EDIT);
define("_REC_RECIPESEDIT", _REC_RECIPES . " " . _EDIT);
define("_REC_COMESFROM", "This recipe comes from");
define("_REC_THEURL", "The URL for this recipe is:");
define("_REC_YOURNAME", "Your Name:");
define("_REC_YOUREMAIL", "Your E-Mail:");
define("_REC_MAILSUBJECT", "A recipe from %s");
define("_REC_MAILFROM", "This recipe from '%1\$s' has been sent to you by  %2\$s (%3\$s).");
define("_REC_MAILCOMMENT", "%s has written the following comments to:");
define("_REC_ADDCOMMENT", "Your message here:");
define("_REC_MAILERR1", "It was submitted invalid data");
define("_REC_MAILERR2", "Please check the receiver specification");
define("_REC_MAILERR3", "Please check the mail sender information");
define("_REC_FIELDRQUIRED", "This field is required.");
define("_REC_VIEWIT", "view recipe");
define("_REC_CANCEL", "Cancel");
define("_REC_NOTEXIST", "This recipe has not yet been published.");
define("_REC_WEHAVECOUNT", "We currently have 333 recipes in our recipe collection.");

?>
